package com.mortals.xhx.module.api;

/**
 * 特殊码：1成功<br/>
 * 返回类型+系统编号+错误码 返回类型：1：参数错误 2：权限不足 3：业务错误 系统编号：51智连服务 错误码：001~199
 * 为公司统一定义的全局返回码，200及以后为业务系统自定义返回码 举例：151001
 */
public enum RspCode {

    /** 成功 */
    SUCCESS(1, "成功"),
    /** 未知错误 */
    UNKNOWN_ERROR(-1, "未知错误"),

    // 1***~5***为ECC系统http响应编码
    /** 参数错误 */
    PARAM_ERROR(151001, "参数错误"),
    ;

    private int value;
    private String desc;

    RspCode(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
